Bug 1668097 (CVE-2016-10735) - CVE-2016-10735 bootstrap: XSS in the data-target attribute
Summary: CVE-2016-10735 bootstrap: XSS in the data-target attribute
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-10735
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1670559 1670560 1670561 1673211 1687647 1670553 1670554 1670555 1670556 1670557 1670558 1687648 1687649 1700951 1740983
Blocks: 1668094 1696523
TreeView+ depends on / blocked
 
Reported: 2019-01-21 21:42 UTC by Laura Pardo
Modified: 2019-10-10 15:38 UTC (History)
54 users (show)

Fixed In Version: bootstrap 3.4.0, bootstrap 4.0.0-beta.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:06:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1456 None None None 2019-06-11 15:32:29 UTC
Red Hat Product Errata RHSA-2019:3023 None None None 2019-10-10 15:38:45 UTC

Comment 2 Nick Tait 2019-01-29 19:34:27 UTC
RHOSP ships two versions of bootstrap, both of which are affected. Marking as such and filing trackers.

OpenStack -> Bootstrap
8,9,10 -> 3.2.0.0-1
13,14 -> 3.3.7.1-2

Comment 3 Nick Tait 2019-01-29 19:35:17 UTC
Created python-XStatic-Bootstrap-SCSS tracking bugs for this issue:

Affects: epel-7 [bug 1670553]
Affects: fedora-all [bug 1670554]
Affects: openstack-rdo [bug 1670556]


Created rubygem-bootstrap-sass tracking bugs for this issue:

Affects: fedora-all [bug 1670555]

Comment 15 errata-xmlrpc 2019-06-11 15:32:27 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.3.2 zip

Via RHSA-2019:1456 https://access.redhat.com/errata/RHSA-2019:1456

Comment 16 Product Security DevOps Team 2019-07-12 13:06:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2016-10735

Comment 17 Doran Moppert 2019-08-14 04:12:08 UTC
This vulnerability was addressed Red Hat Virtualization 4.3 package ovirt-engine-api-explorer via https://access.redhat.com/errata/RHBA-2019:1570

Comment 18 Doran Moppert 2019-08-14 04:12:15 UTC
Statement:

Red Hat Enterprise Satellite 5 is now in Maintenance Support 2 phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Satellite 5 Life Cycle: https://access.redhat.com/support/policy/updates/satellite.

Red Hat Virtualization 4.2 EUS contains the affected version of bootstrap in the packages ovirt-js-dependencies and ovirt-engine-dashboard. These packages are deprecated in Red Hat Virtualization 4.3.

Comment 19 errata-xmlrpc 2019-10-10 15:38:43 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization Engine 4.3

Via RHSA-2019:3023 https://access.redhat.com/errata/RHSA-2019:3023


Note You need to log in before you can comment on or make changes to this bug.